# gatsby-plugin-ada-chatbot

This plugin adds an ada chatbot to your website.

## Install

```bash
npm i gatsby-plugin-ada-chatbot
```

## Usage

Add the plugin to your gatsby-config.js file and ensure that the required 'handle' option is set.

```js
// gatsby-config.js

plugins: [
  {
    resolve: `gatsby-plugin-ada-chatbot`,
    options: {
      handle: 'my-ada-handle'
    }
  }
]
```

## Options

You can customize the chatbot by using the following plugin options.

| Name            | Description                                                                                                                                            | Type             | Default |
|-----------------|--------------------------------------------------------------------------------------------------------------------------------------------------------|------------------|---------|
| handle          | Required. The handle (ID) for your ADA chatbot.                                                                                                        | String           |         |
| delay           | Optional. The delay (in milliseconds) before the ADA chatbot displays.                                                                                 | Number           | 0       |
| zIndex          | Optional. The Z-Index of the ada frame.                                                                                                                | Number           | 1000    |
| dismissButton   | Optional. Whether or not a dismiss button should display.                                                                                              | Boolean          | true    |
| dismissDuration | Optional. The delay (in milliseconds) until the chatbot should show again after dismissal. Set to 'session' to use the duration of the user's session. | Number or String | session |
| adaSettings     | Optional. The settings object ingested by the ADA chatbot upon load.                                                                                   | Object           | {}      |